//剣が衝突した際に、火花(スパーク)のプレハブをインスタンス化するスクリプト

//プロパティ
var prefab : GameObject;    //剣のスパークのプレハブ

//物が衝突した時に呼ばれる
//火花のプレハブをインスタンス化する
function OnCollisionEnter( collision : Collision ){

    //Playerに衝突した場合は火花を出さない
    if( collision.gameObject.tag == "Player" ){
        return;
    }
    
    //衝突した位置と向き(Y軸回転)を取得
    var contact: ContactPoint = collision.contacts[0];    //衝突情報を一つ取得
    var rot: Quaternion = Quaternion.FromToRotation(Vector3.up, contact.normal);    //Y軸回転を取得
    var pos: Vector3 = contact.point;   //衝突した位置
    
    GameObject.Instantiate(prefab, pos, rot);  //スパークのプレハブをインスタンス化
    
}
